Screenly Raspi 3

  • Das Update von Screenly schlägt aktuell fehl.


    Quote


    Code
    Using cached ansible-2.0.2.0.tar.gz
    Could not import setuptools which is required to install from a source distribution.
    Traceback (most recent call last):
     File "/usr/local/lib/python2.7/dist-packages/pip/req/req_install.py", line 372, in setup_py
       import setuptools  # noqa
     File "/usr/local/lib/python2.7/dist-packages/setuptools/__init__.py", line 11, in <module>
       from setuptools.extern.six.moves import filterfalse, map
     File "/usr/local/lib/python2.7/dist-packages/setuptools/extern/__init__.py", line 1, in <module>
       from pkg_resources.extern import VendorImporter
    ImportError: No module named extern


    Code
    + ansible-playbook site.yml --skip-tags enable-ssl
    ERROR: become is not a legal parameter at this level in an Ansible Playbook
    + sudo apt-get autoclean


    Ich bin für jede Hilfe dankbar.

  • Hallo


    Die Fehlermeldung lautet: Die fehlt das Python modul setuptools.


    Das musst du zuerst installieren.


    Vielleicht kannst du ja mit "apt-cache search setuptools" suchen lassen.


    Und dann mittels "apt-get install" installieren.


    MfG


    Klaus


  • Klaus, ich habe python-setuptools und python3-setuptools sowie pip-setuptools installiert. Trotzdem tritt der Fehler auf. Jemand Rat?